Bug 1476989 - [abrt] youtube-dl: write_string(): utils.py:1400:write_string:OSError: [Errno 5] Input/output error
[abrt] youtube-dl: write_string(): utils.py:1400:write_string:OSError: [Errno...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: youtube-dl (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c6430e716cc6837c295f85ce6f0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-31 23:07 EDT by Kyle Marek
Modified: 2017-09-02 16:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: youtube-dl-2017.08.13-1.fc26 youtube-dl-2017.08.13-1.fc25 youtube-dl-2017.08.13-1.el6 youtube-dl-2017.08.13-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-22 00:29:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.79 KB, text/plain)
2017-07-31 23:08 EDT, Kyle Marek
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-31 23:08 EDT, Kyle Marek
no flags Details
File: cpuinfo (1.25 KB, text/plain)
2017-07-31 23:08 EDT, Kyle Marek
no flags Details
File: environ (3.18 KB, text/plain)
2017-07-31 23:08 EDT, Kyle Marek
no flags Details
File: mountinfo (3.92 KB, text/plain)
2017-07-31 23:08 EDT, Kyle Marek
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-31 23:08 EDT, Kyle Marek
no flags Details
File: open_fds (278 bytes, text/plain)
2017-07-31 23:08 EDT, Kyle Marek
no flags Details

  None (edit)
Description Kyle Marek 2017-07-31 23:07:56 EDT
Description of problem:
I ran the command with a '&' at the end (forking to background) and closed the terminal, which closed the usual stdio channels.

Version-Release number of selected component:
youtube-dl-2017.07.09-1.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/bin/youtube-dl https://www.youtube.com/watch?v=lSquU1kzBVU
crash_function: write_string
exception_type: OSError
executable:     /usr/bin/youtube-dl
kernel:         4.11.10-300.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
utils.py:1400:write_string:OSError: [Errno 5] Input/output error

Traceback (most recent call last):
  File "/usr/bin/youtube-dl", line 11, in <module>
    load_entry_point('youtube-dl==2017.7.9', 'console_scripts', 'youtube-dl')()
  File "/usr/lib/python3.6/site-packages/youtube_dl/__init__.py", line 464, in main
    _real_main(argv)
  File "/usr/lib/python3.6/site-packages/youtube_dl/__init__.py", line 454, in _real_main
    retcode = ydl.download(all_urls)
  File "/usr/lib/python3.6/site-packages/youtube_dl/YoutubeDL.py", line 1926, in download
    url, force_generic_extractor=self.params.get('force_generic_extractor', False))
  File "/usr/lib/python3.6/site-packages/youtube_dl/YoutubeDL.py", line 761, in extract_info
    ie_result = ie.extract(url)
  File "/usr/lib/python3.6/site-packages/youtube_dl/extractor/common.py", line 433, in extract
    ie_result = self._real_extract(url)
  File "/usr/lib/python3.6/site-packages/youtube_dl/extractor/youtube.py", line 1423, in _real_extract
    video_webpage = self._download_webpage(url, video_id)
  File "/usr/lib/python3.6/site-packages/youtube_dl/extractor/common.py", line 634, in _download_webpage
    res = self._download_webpage_handle(url_or_request, video_id, note, errnote, fatal, encoding=encoding, data=data, headers=headers, query=query)
  File "/usr/lib/python3.6/site-packages/youtube_dl/extractor/common.py", line 531, in _download_webpage_handle
    urlh = self._request_webpage(url_or_request, video_id, note, errnote, fatal, data=data, headers=headers, query=query)
  File "/usr/lib/python3.6/site-packages/youtube_dl/extractor/common.py", line 487, in _request_webpage
    self.report_download_webpage(video_id)
  File "/usr/lib/python3.6/site-packages/youtube_dl/extractor/common.py", line 699, in report_download_webpage
    self.to_screen('%s: Downloading webpage' % video_id)
  File "/usr/lib/python3.6/site-packages/youtube_dl/extractor/common.py", line 691, in to_screen
    self._downloader.to_screen('[%s] %s' % (self.IE_NAME, msg))
  File "/usr/lib/python3.6/site-packages/youtube_dl/YoutubeDL.py", line 483, in to_screen
    return self.to_stdout(message, skip_eol, check_quiet=True)
  File "/usr/lib/python3.6/site-packages/youtube_dl/YoutubeDL.py", line 497, in to_stdout
    self._write_string(output, self._screen_file)
  File "/usr/lib/python3.6/site-packages/youtube_dl/YoutubeDL.py", line 486, in _write_string
    write_string(s, out=out, encoding=self.params.get('encoding'))
  File "/usr/lib/python3.6/site-packages/youtube_dl/utils.py", line 1400, in write_string
    out.flush()
OSError: [Errno 5] Input/output error

Local variables in innermost frame:
enc: 'UTF-8'
byt: b'[youtube] lSquU1kzBVU: Downloading webpage\n'
encoding: None
out: <_io.TextIOWrapper name='<stdout>' mode='w' encoding='UTF-8'>
s: '[youtube] lSquU1kzBVU: Downloading webpage\n'
Comment 1 Kyle Marek 2017-07-31 23:08:01 EDT
Created attachment 1307339 [details]
File: backtrace
Comment 2 Kyle Marek 2017-07-31 23:08:02 EDT
Created attachment 1307340 [details]
File: cgroup
Comment 3 Kyle Marek 2017-07-31 23:08:03 EDT
Created attachment 1307341 [details]
File: cpuinfo
Comment 4 Kyle Marek 2017-07-31 23:08:04 EDT
Created attachment 1307342 [details]
File: environ
Comment 5 Kyle Marek 2017-07-31 23:08:05 EDT
Created attachment 1307343 [details]
File: mountinfo
Comment 6 Kyle Marek 2017-07-31 23:08:06 EDT
Created attachment 1307344 [details]
File: namespaces
Comment 7 Kyle Marek 2017-07-31 23:08:07 EDT
Created attachment 1307345 [details]
File: open_fds
Comment 8 Fedora Update System 2017-08-16 17:50:23 EDT
youtube-dl-2017.08.13-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9c9375262b
Comment 9 Fedora Update System 2017-08-18 16:18:24 EDT
youtube-dl-2017.08.13-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9c9375262b
Comment 10 Fedora Update System 2017-08-18 16:22:51 EDT
youtube-dl-2017.08.13-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8e3af65ba1
Comment 11 Fedora Update System 2017-08-18 17:54:10 EDT
youtube-dl-2017.08.13-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eaffbcde93
Comment 12 Fedora Update System 2017-08-19 14:53:27 EDT
youtube-dl-2017.08.13-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8a8ec65157
Comment 13 Fedora Update System 2017-08-22 00:29:46 EDT
youtube-dl-2017.08.13-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Kyle Marek 2017-08-22 00:43:35 EDT
I'm having a hard time reproducing even against youtube-dl-2017.07.09-1.fc26, so it's hard to tell if this was genuinely addressed.
Comment 15 Fedora Update System 2017-08-22 08:49:39 EDT
youtube-dl-2017.08.13-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2017-09-02 16:16:58 EDT
youtube-dl-2017.08.13-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2017-09-02 16:49:05 EDT
youtube-dl-2017.08.13-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.